> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rad.security/llms.txt
> Use this file to discover all available pages before exploring further.

# Resource details

> Get resource details by id.



## OpenAPI

````yaml /api-reference/openapi.yaml get /clusters/{cluster_id}/resources/{resource_id}
openapi: 3.0.0
info:
  description: |
    The RAD Security API specification
  title: RAD Security API Spec
  version: 0.0.21
servers:
  - url: https://api.prd.rad.security
security: []
tags:
  - name: integrations
    x-displayName: Integrations
  - name: documents
    x-displayName: Documents
  - name: collections
    x-displayName: Collections
  - name: public
    x-displayName: public
  - name: Knowledge Base
    x-displayName: Knowledge Base
paths:
  /clusters/{cluster_id}/resources/{resource_id}:
    get:
      tags:
        - Resources
      summary: Resource details
      description: Get resource details by id.
      parameters:
        - description: Cluster id
          in: path
          name: cluster_id
          required: true
          schema:
            type: string
        - description: resource id which is a combination of uid and resource version
          in: path
          name: resource_id
          required: true
          schema:
            type: string
        - description: 'Flag to return payload. Default: true'
          in: query
          name: with_payload
          schema:
            type: boolean
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Kubeobject'
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
components:
  schemas:
    Kubeobject:
      properties:
        account_id:
          type: string
        api_version:
          type: string
        cluster_id:
          type: string
        deleted_at:
          type: string
        deletion_source:
          type: string
        entity_type:
          type: string
        id:
          type: string
        ingested_at:
          type: string
        kind:
          type: string
        name:
          type: string
        namespace:
          type: string
        owner_uid:
          type: string
        raw:
          format: base64
          type: string
        resource_created_at:
          type: string
        resource_version:
          type: string
        uid:
          type: string
        version_overwritten_at:
          type: string
        watched_at:
          type: string
      type: object
    APIError:
      properties:
        code:
          type: string
        request_id:
          type: string
        status:
          type: integer
        validation_details:
          items:
            $ref: '#/components/schemas/ValidationDetail'
          type: array
      type: object
      required:
        - status
    ValidationDetail:
      properties:
        code:
          type: string
        field:
          type: string
        message:
          type: string
        param:
          type: string
      type: object
      required:
        - code
        - field
        - message

````